package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class FragmentPersonEditBindingImpl extends FragmentPersonEditBinding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.gender_parent_contact_bottom_barrier, 25);
        sViewsWithIds.put(R.id.optional_fields_bottom_barrier, 26);
        sViewsWithIds.put(R.id.error_text, 27);
    }
    // views
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback126;
    // values
    // listeners
    // Inverse Binding Event Handlers
    private androidx.databinding.InverseBindingListener addressTextandroidTextAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of person.personAddress
            //         is person.setPersonAddress((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = androidx.databinding.adapters.TextViewBindingAdapter.getTextString(addressText);
            // localize variables for thread safety
            // person
            com.ustadmobile.lib.db.entities.PersonWithAccount person = mPerson;
            // person.personAddress
            java.lang.String personPersonAddress = null;
            // person != null
            boolean personJavaLangObjectNull = false;



            personJavaLangObjectNull = (person) != (null);
            if (personJavaLangObjectNull) {




                person.setPersonAddress(((java.lang.String) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener birthdayTextdateTimeInMillisAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of person.dateOfBirth
            //         is person.setDateOfBirth((long) callbackArg_0)
            long callbackArg_0 = com.ustadmobile.port.android.view.binding.DatePickerBindingAdapter2Kt.getDateTimeInMillis(birthdayText);
            // localize variables for thread safety
            // person
            com.ustadmobile.lib.db.entities.PersonWithAccount person = mPerson;
            // person.dateOfBirth
            long personDateOfBirth = 0;
            // person != null
            boolean personJavaLangObjectNull = false;



            personJavaLangObjectNull = (person) != (null);
            if (personJavaLangObjectNull) {




                person.setDateOfBirth(((long) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener confirmPasswordTextandroidTextAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of person.confirmedPassword
            //         is person.setConfirmedPassword((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = androidx.databinding.adapters.TextViewBindingAdapter.getTextString(confirmPasswordText);
            // localize variables for thread safety
            // person
            com.ustadmobile.lib.db.entities.PersonWithAccount person = mPerson;
            // person.confirmedPassword
            java.lang.String personConfirmedPassword = null;
            // person != null
            boolean personJavaLangObjectNull = false;



            personJavaLangObjectNull = (person) != (null);
            if (personJavaLangObjectNull) {




                person.setConfirmedPassword(((java.lang.String) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener emailTextandroidTextAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of person.emailAddr
            //         is person.setEmailAddr((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = androidx.databinding.adapters.TextViewBindingAdapter.getTextString(emailText);
            // localize variables for thread safety
            // person.emailAddr
            java.lang.String personEmailAddr = null;
            // person
            com.ustadmobile.lib.db.entities.PersonWithAccount person = mPerson;
            // person != null
            boolean personJavaLangObjectNull = false;



            personJavaLangObjectNull = (person) != (null);
            if (personJavaLangObjectNull) {




                person.setEmailAddr(((java.lang.String) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener firstnamesTextandroidTextAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of person.firstNames
            //         is person.setFirstNames((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = androidx.databinding.adapters.TextViewBindingAdapter.getTextString(firstnamesText);
            // localize variables for thread safety
            // person.firstNames
            java.lang.String personFirstNames = null;
            // person
            com.ustadmobile.lib.db.entities.PersonWithAccount person = mPerson;
            // person != null
            boolean personJavaLangObjectNull = false;



            personJavaLangObjectNull = (person) != (null);
            if (personJavaLangObjectNull) {




                person.setFirstNames(((java.lang.String) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener genderValueselectedMessageIdOptionAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of person.gender
            //         is person.setGender((int) callbackArg_0)
            int callbackArg_0 = com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.getSelectedMessageIdOption(genderValue);
            // localize variables for thread safety
            // person.gender
            int personGender = 0;
            // person
            com.ustadmobile.lib.db.entities.PersonWithAccount person = mPerson;
            // person != null
            boolean personJavaLangObjectNull = false;



            personJavaLangObjectNull = (person) != (null);
            if (personJavaLangObjectNull) {




                person.setGender(((int) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener itemPresenterFieldRowImageViewimageUriAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of personPicture.personPictureUri
            //         is personPicture.setPersonPictureUri((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.getRealImageFilePath(itemPresenterFieldRowImageView);
            // localize variables for thread safety
            // personPicture != null
            boolean personPictureJavaLangObjectNull = false;
            // personPicture.personPictureUri
            java.lang.String personPicturePersonPictureUri = null;
            // personPicture
            com.ustadmobile.lib.db.entities.PersonPicture personPicture = mPersonPicture;



            personPictureJavaLangObjectNull = (personPicture) != (null);
            if (personPictureJavaLangObjectNull) {




                personPicture.setPersonPictureUri(((java.lang.String) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener lastnameTextandroidTextAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of person.lastName
            //         is person.setLastName((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = androidx.databinding.adapters.TextViewBindingAdapter.getTextString(lastnameText);
            // localize variables for thread safety
            // person
            com.ustadmobile.lib.db.entities.PersonWithAccount person = mPerson;
            // person.lastName
            java.lang.String personLastName = null;
            // person != null
            boolean personJavaLangObjectNull = false;



            personJavaLangObjectNull = (person) != (null);
            if (personJavaLangObjectNull) {




                person.setLastName(((java.lang.String) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener parentcontactTextandroidTextAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of approvalPersonParentJoin.ppjEmail
            //         is approvalPersonParentJoin.setPpjEmail((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = androidx.databinding.adapters.TextViewBindingAdapter.getTextString(parentcontactText);
            // localize variables for thread safety
            // approvalPersonParentJoin
            com.ustadmobile.lib.db.entities.PersonParentJoin approvalPersonParentJoin = mApprovalPersonParentJoin;
            // approvalPersonParentJoin.ppjEmail
            java.lang.String approvalPersonParentJoinPpjEmail = null;
            // approvalPersonParentJoin != null
            boolean approvalPersonParentJoinJavaLangObjectNull = false;



            approvalPersonParentJoinJavaLangObjectNull = (approvalPersonParentJoin) != (null);
            if (approvalPersonParentJoinJavaLangObjectNull) {




                approvalPersonParentJoin.setPpjEmail(((java.lang.String) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener passwordTextandroidTextAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of person.newPassword
            //         is person.setNewPassword((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = androidx.databinding.adapters.TextViewBindingAdapter.getTextString(passwordText);
            // localize variables for thread safety
            // person.newPassword
            java.lang.String personNewPassword = null;
            // person
            com.ustadmobile.lib.db.entities.PersonWithAccount person = mPerson;
            // person != null
            boolean personJavaLangObjectNull = false;



            personJavaLangObjectNull = (person) != (null);
            if (personJavaLangObjectNull) {




                person.setNewPassword(((java.lang.String) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener phonenumberTextandroidTextAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of person.phoneNum
            //         is person.setPhoneNum((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = androidx.databinding.adapters.TextViewBindingAdapter.getTextString(phonenumberText);
            // localize variables for thread safety
            // person
            com.ustadmobile.lib.db.entities.PersonWithAccount person = mPerson;
            // person.phoneNum
            java.lang.String personPhoneNum = null;
            // person != null
            boolean personJavaLangObjectNull = false;



            personJavaLangObjectNull = (person) != (null);
            if (personJavaLangObjectNull) {




                person.setPhoneNum(((java.lang.String) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener usernameTextandroidTextAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of person.username
            //         is person.setUsername((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = androidx.databinding.adapters.TextViewBindingAdapter.getTextString(usernameText);
            // localize variables for thread safety
            // person
            com.ustadmobile.lib.db.entities.PersonWithAccount person = mPerson;
            // person.username
            java.lang.String personUsername = null;
            // person != null
            boolean personJavaLangObjectNull = false;



            personJavaLangObjectNull = (person) != (null);
            if (personJavaLangObjectNull) {




                person.setUsername(((java.lang.String) (callbackArg_0)));
            }
        }
    };

    public FragmentPersonEditBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 28, sIncludes, sViewsWithIds));
    }
    private FragmentPersonEditBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (com.google.android.material.textfield.TextInputEditText) bindings[18]
            , (com.google.android.material.textfield.TextInputLayout) bindings[17]
            , (com.google.android.material.textfield.TextInputEditText) bindings[12]
            , (com.google.android.material.textfield.TextInputLayout) bindings[11]
            , (com.google.android.material.textfield.TextInputEditText) bindings[24]
            , (com.google.android.material.textfield.TextInputLayout) bindings[23]
            , (com.google.android.material.textfield.TextInputEditText) bindings[16]
            , (com.google.android.material.textfield.TextInputLayout) bindings[15]
            , (android.widget.TextView) bindings[27]
            , (com.google.android.material.textfield.TextInputEditText) bindings[4]
            , (com.google.android.material.textfield.TextInputLayout) bindings[3]
            , (androidx.constraintlayout.widget.Barrier) bindings[25]
            , (com.google.android.material.textfield.TextInputLayout) bindings[7]
            , (com.ustadmobile.port.android.view.IdOptionAutoCompleteTextView) bindings[8]
            , (de.hdodenhof.circleimageview.CircleImageView) bindings[1]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[2]
            , (com.google.android.material.textfield.TextInputEditText) bindings[6]
            , (com.google.android.material.textfield.TextInputLayout) bindings[5]
            , (androidx.core.widget.NestedScrollView) bindings[0]
            , (androidx.constraintlayout.widget.Barrier) bindings[26]
            , (com.google.android.material.textfield.TextInputLayout) bindings[9]
            , (com.google.android.material.textfield.TextInputEditText) bindings[10]
            , (com.google.android.material.textfield.TextInputEditText) bindings[22]
            , (com.google.android.material.textfield.TextInputLayout) bindings[21]
            , (com.google.android.material.textfield.TextInputEditText) bindings[14]
            , (com.google.android.material.textfield.TextInputLayout) bindings[13]
            , (com.google.android.material.textfield.TextInputEditText) bindings[20]
            , (com.google.android.material.textfield.TextInputLayout) bindings[19]
            );
        this.addressText.setTag(null);
        this.addressTextinputlayout.setTag(null);
        this.birthdayText.setTag(null);
        this.birthdayTextinputlayout.setTag(null);
        this.confirmPasswordText.setTag(null);
        this.confirmPasswordTextinputlayout.setTag(null);
        this.emailText.setTag(null);
        this.emailTextinputlayout.setTag(null);
        this.firstnamesText.setTag(null);
        this.firstnamesTextinputlayout.setTag(null);
        this.genderTextinputlayout.setTag(null);
        this.genderValue.setTag(null);
        this.itemPresenterFieldRowImageView.setTag(null);
        this.itemPresenterFieldRowPicturePhotoicon.setTag(null);
        this.lastnameText.setTag(null);
        this.lastnameTextInputLayout.setTag(null);
        this.nestedView.setTag(null);
        this.parentContactTextInputLayout.setTag(null);
        this.parentcontactText.setTag(null);
        this.passwordText.setTag(null);
        this.passwordTextinputlayout.setTag(null);
        this.phonenumberText.setTag(null);
        this.phonenumberTextinputlayout.setTag(null);
        this.usernameText.setTag(null);
        this.usernameTextinputlayout.setTag(null);
        setRootTag(root);
        // listeners
        mCallback126 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 1);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x200000L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.genderFieldError == variableId) {
            setGenderFieldError((java.lang.String) variable);
        }
        else if (BR.imageViewLifecycleObserver == variableId) {
            setImageViewLifecycleObserver((com.ustadmobile.port.android.view.binding.ImageViewLifecycleObserver2) variable);
        }
        else if (BR.emailError == variableId) {
            setEmailError((java.lang.String) variable);
        }
        else if (BR.registrationMode == variableId) {
            setRegistrationMode((int) variable);
        }
        else if (BR.firstNamesError == variableId) {
            setFirstNamesError((java.lang.String) variable);
        }
        else if (BR.parentContactError == variableId) {
            setParentContactError((java.lang.String) variable);
        }
        else if (BR.lastNameError == variableId) {
            setLastNameError((java.lang.String) variable);
        }
        else if (BR.passwordConfirmError == variableId) {
            setPasswordConfirmError((java.lang.String) variable);
        }
        else if (BR.dateOfBirthFieldError == variableId) {
            setDateOfBirthFieldError((java.lang.String) variable);
        }
        else if (BR.genderOptions == variableId) {
            setGenderOptions((java.util.List<com.ustadmobile.core.util.IdOption>) variable);
        }
        else if (BR.loading == variableId) {
            setLoading((boolean) variable);
        }
        else if (BR.passwordError == variableId) {
            setPasswordError((java.lang.String) variable);
        }
        else if (BR.hideClazzes == variableId) {
            setHideClazzes((boolean) variable);
        }
        else if (BR.activityEventHandler == variableId) {
            setActivityEventHandler((com.ustadmobile.port.android.view.PersonEditFragmentEventHandler) variable);
        }
        else if (BR.personPicture == variableId) {
            setPersonPicture((com.ustadmobile.lib.db.entities.PersonPicture) variable);
        }
        else if (BR.approvalPersonParentJoin == variableId) {
            setApprovalPersonParentJoin((com.ustadmobile.lib.db.entities.PersonParentJoin) variable);
        }
        else if (BR.fieldsEnabled == variableId) {
            setFieldsEnabled((boolean) variable);
        }
        else if (BR.usernameError == variableId) {
            setUsernameError((java.lang.String) variable);
        }
        else if (BR.dateTimeMode == variableId) {
            setDateTimeMode((java.lang.Integer) variable);
        }
        else if (BR.timeZoneId == variableId) {
            setTimeZoneId((java.lang.String) variable);
        }
        else if (BR.person == variableId) {
            setPerson((com.ustadmobile.lib.db.entities.PersonWithAccount) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setGenderFieldError(@Nullable java.lang.String GenderFieldError) {
        this.mGenderFieldError = GenderFieldError;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.genderFieldError);
        super.requestRebind();
    }
    public void setImageViewLifecycleObserver(@Nullable com.ustadmobile.port.android.view.binding.ImageViewLifecycleObserver2 ImageViewLifecycleObserver) {
        this.mImageViewLifecycleObserver = ImageViewLifecycleObserver;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.imageViewLifecycleObserver);
        super.requestRebind();
    }
    public void setEmailError(@Nullable java.lang.String EmailError) {
        this.mEmailError = EmailError;
        synchronized(this) {
            mDirtyFlags |= 0x4L;
        }
        notifyPropertyChanged(BR.emailError);
        super.requestRebind();
    }
    public void setRegistrationMode(int RegistrationMode) {
        this.mRegistrationMode = RegistrationMode;
        synchronized(this) {
            mDirtyFlags |= 0x8L;
        }
        notifyPropertyChanged(BR.registrationMode);
        super.requestRebind();
    }
    public void setFirstNamesError(@Nullable java.lang.String FirstNamesError) {
        this.mFirstNamesError = FirstNamesError;
        synchronized(this) {
            mDirtyFlags |= 0x10L;
        }
        notifyPropertyChanged(BR.firstNamesError);
        super.requestRebind();
    }
    public void setParentContactError(@Nullable java.lang.String ParentContactError) {
        this.mParentContactError = ParentContactError;
        synchronized(this) {
            mDirtyFlags |= 0x20L;
        }
        notifyPropertyChanged(BR.parentContactError);
        super.requestRebind();
    }
    public void setLastNameError(@Nullable java.lang.String LastNameError) {
        this.mLastNameError = LastNameError;
        synchronized(this) {
            mDirtyFlags |= 0x40L;
        }
        notifyPropertyChanged(BR.lastNameError);
        super.requestRebind();
    }
    public void setPasswordConfirmError(@Nullable java.lang.String PasswordConfirmError) {
        this.mPasswordConfirmError = PasswordConfirmError;
        synchronized(this) {
            mDirtyFlags |= 0x80L;
        }
        notifyPropertyChanged(BR.passwordConfirmError);
        super.requestRebind();
    }
    public void setDateOfBirthFieldError(@Nullable java.lang.String DateOfBirthFieldError) {
        this.mDateOfBirthFieldError = DateOfBirthFieldError;
        synchronized(this) {
            mDirtyFlags |= 0x100L;
        }
        notifyPropertyChanged(BR.dateOfBirthFieldError);
        super.requestRebind();
    }
    public void setGenderOptions(@Nullable java.util.List<com.ustadmobile.core.util.IdOption> GenderOptions) {
        this.mGenderOptions = GenderOptions;
        synchronized(this) {
            mDirtyFlags |= 0x200L;
        }
        notifyPropertyChanged(BR.genderOptions);
        super.requestRebind();
    }
    public void setLoading(boolean Loading) {
        this.mLoading = Loading;
    }
    public void setPasswordError(@Nullable java.lang.String PasswordError) {
        this.mPasswordError = PasswordError;
        synchronized(this) {
            mDirtyFlags |= 0x800L;
        }
        notifyPropertyChanged(BR.passwordError);
        super.requestRebind();
    }
    public void setHideClazzes(boolean HideClazzes) {
        this.mHideClazzes = HideClazzes;
    }
    public void setActivityEventHandler(@Nullable com.ustadmobile.port.android.view.PersonEditFragmentEventHandler ActivityEventHandler) {
        this.mActivityEventHandler = ActivityEventHandler;
    }
    public void setPersonPicture(@Nullable com.ustadmobile.lib.db.entities.PersonPicture PersonPicture) {
        this.mPersonPicture = PersonPicture;
        synchronized(this) {
            mDirtyFlags |= 0x4000L;
        }
        notifyPropertyChanged(BR.personPicture);
        super.requestRebind();
    }
    public void setApprovalPersonParentJoin(@Nullable com.ustadmobile.lib.db.entities.PersonParentJoin ApprovalPersonParentJoin) {
        this.mApprovalPersonParentJoin = ApprovalPersonParentJoin;
        synchronized(this) {
            mDirtyFlags |= 0x8000L;
        }
        notifyPropertyChanged(BR.approvalPersonParentJoin);
        super.requestRebind();
    }
    public void setFieldsEnabled(boolean FieldsEnabled) {
        this.mFieldsEnabled = FieldsEnabled;
        synchronized(this) {
            mDirtyFlags |= 0x10000L;
        }
        notifyPropertyChanged(BR.fieldsEnabled);
        super.requestRebind();
    }
    public void setUsernameError(@Nullable java.lang.String UsernameError) {
        this.mUsernameError = UsernameError;
        synchronized(this) {
            mDirtyFlags |= 0x20000L;
        }
        notifyPropertyChanged(BR.usernameError);
        super.requestRebind();
    }
    public void setDateTimeMode(@Nullable java.lang.Integer DateTimeMode) {
        this.mDateTimeMode = DateTimeMode;
        synchronized(this) {
            mDirtyFlags |= 0x40000L;
        }
        notifyPropertyChanged(BR.dateTimeMode);
        super.requestRebind();
    }
    public void setTimeZoneId(@Nullable java.lang.String TimeZoneId) {
        this.mTimeZoneId = TimeZoneId;
        synchronized(this) {
            mDirtyFlags |= 0x80000L;
        }
        notifyPropertyChanged(BR.timeZoneId);
        super.requestRebind();
    }
    public void setPerson(@Nullable com.ustadmobile.lib.db.entities.PersonWithAccount Person) {
        this.mPerson = Person;
        synchronized(this) {
            mDirtyFlags |= 0x100000L;
        }
        notifyPropertyChanged(BR.person);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        java.lang.String genderFieldError = mGenderFieldError;
        int intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEENABLEDViewVISIBLEViewGONE = 0;
        boolean intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEENABLED = false;
        com.ustadmobile.port.android.view.binding.ImageViewLifecycleObserver2 imageViewLifecycleObserver = mImageViewLifecycleObserver;
        java.lang.String emailError = mEmailError;
        boolean intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEMINOR = false;
        int intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEMINORViewGONEViewVISIBLE = 0;
        int registrationMode = mRegistrationMode;
        boolean genderFieldErrorJavaLangObjectNull = false;
        java.lang.String firstNamesError = mFirstNamesError;
        int intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEENABLEDViewGONEViewVISIBLE = 0;
        boolean parentContactErrorJavaLangObjectNull = false;
        java.lang.String personUsername = null;
        java.lang.String parentContactError = mParentContactError;
        java.lang.String lastNameError = mLastNameError;
        java.lang.String personNewPassword = null;
        boolean usernameErrorJavaLangObjectNull = false;
        int personGender = 0;
        boolean emailErrorJavaLangObjectNull = false;
        java.lang.String personFirstNames = null;
        long personDateOfBirth = 0;
        java.lang.String personConfirmedPassword = null;
        java.lang.String passwordConfirmError = mPasswordConfirmError;
        java.lang.String personPersonAddress = null;
        int intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEMINORViewVISIBLEViewGONE = 0;
        java.lang.String dateOfBirthFieldError = mDateOfBirthFieldError;
        boolean firstNamesErrorJavaLangObjectNull = false;
        java.util.List<com.ustadmobile.core.util.IdOption> genderOptions = mGenderOptions;
        boolean passwordErrorJavaLangObjectNull = false;
        boolean lastNameErrorJavaLangObjectNull = false;
        java.lang.String passwordError = mPasswordError;
        java.lang.String approvalPersonParentJoinPpjEmail = null;
        java.lang.String personPhoneNum = null;
        com.ustadmobile.lib.db.entities.PersonPicture personPicture = mPersonPicture;
        boolean passwordConfirmErrorJavaLangObjectNull = false;
        com.ustadmobile.lib.db.entities.PersonParentJoin approvalPersonParentJoin = mApprovalPersonParentJoin;
        boolean fieldsEnabled = mFieldsEnabled;
        java.lang.String personPicturePersonPictureUri = null;
        java.lang.String usernameError = mUsernameError;
        boolean dateOfBirthFieldErrorJavaLangObjectNull = false;
        int androidxDatabindingViewDataBindingSafeUnboxDateTimeMode = 0;
        java.lang.Integer dateTimeMode = mDateTimeMode;
        java.lang.String personEmailAddr = null;
        java.lang.String timeZoneId = mTimeZoneId;
        com.ustadmobile.lib.db.entities.PersonWithAccount person = mPerson;
        java.lang.String personLastName = null;

        if ((dirtyFlags & 0x200001L) != 0) {



                // read genderFieldError != null
                genderFieldErrorJavaLangObjectNull = (genderFieldError) != (null);
        }
        if ((dirtyFlags & 0x200002L) != 0) {
        }
        if ((dirtyFlags & 0x200004L) != 0) {



                // read emailError != null
                emailErrorJavaLangObjectNull = (emailError) != (null);
        }
        if ((dirtyFlags & 0x200008L) != 0) {



                // read IntExtKt.hasFlag(registrationMode, PersonEditView.REGISTER_MODE_ENABLED)
                intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEENABLED = com.ustadmobile.core.util.ext.IntExtKt.hasFlag(registrationMode, com.ustadmobile.core.view.PersonEditView.REGISTER_MODE_ENABLED);
                // read IntExtKt.hasFlag(registrationMode, PersonEditView.REGISTER_MODE_MINOR)
                intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEMINOR = com.ustadmobile.core.util.ext.IntExtKt.hasFlag(registrationMode, com.ustadmobile.core.view.PersonEditView.REGISTER_MODE_MINOR);
            if((dirtyFlags & 0x200008L) != 0) {
                if(intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEENABLED) {
                        dirtyFlags |= 0x800000L;
                        dirtyFlags |= 0x8000000L;
                }
                else {
                        dirtyFlags |= 0x400000L;
                        dirtyFlags |= 0x4000000L;
                }
            }
            if((dirtyFlags & 0x200008L) != 0) {
                if(intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEMINOR) {
                        dirtyFlags |= 0x2000000L;
                        dirtyFlags |= 0x20000000L;
                }
                else {
                        dirtyFlags |= 0x1000000L;
                        dirtyFlags |= 0x10000000L;
                }
            }


                // read IntExtKt.hasFlag(registrationMode, PersonEditView.REGISTER_MODE_ENABLED) ? View.VISIBLE : View.GONE
                intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEENABLEDViewVISIBLEViewGONE = ((intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEENABLED) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
                // read IntExtKt.hasFlag(registrationMode, PersonEditView.REGISTER_MODE_ENABLED) ? View.GONE : View.VISIBLE
                intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEENABLEDViewGONEViewVISIBLE = ((intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEENABLED) ? (android.view.View.GONE) : (android.view.View.VISIBLE));
                // read IntExtKt.hasFlag(registrationMode, PersonEditView.REGISTER_MODE_MINOR) ? View.GONE : View.VISIBLE
                intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEMINORViewGONEViewVISIBLE = ((intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEMINOR) ? (android.view.View.GONE) : (android.view.View.VISIBLE));
                // read IntExtKt.hasFlag(registrationMode, PersonEditView.REGISTER_MODE_MINOR) ? View.VISIBLE : View.GONE
                intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEMINORViewVISIBLEViewGONE = ((intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEMINOR) ? (android.view.View.VISIBLE) : (android.view.View.GONE));
        }
        if ((dirtyFlags & 0x200010L) != 0) {



                // read firstNamesError != null
                firstNamesErrorJavaLangObjectNull = (firstNamesError) != (null);
        }
        if ((dirtyFlags & 0x200020L) != 0) {



                // read parentContactError != null
                parentContactErrorJavaLangObjectNull = (parentContactError) != (null);
        }
        if ((dirtyFlags & 0x200040L) != 0) {



                // read lastNameError != null
                lastNameErrorJavaLangObjectNull = (lastNameError) != (null);
        }
        if ((dirtyFlags & 0x200080L) != 0) {



                // read passwordConfirmError != null
                passwordConfirmErrorJavaLangObjectNull = (passwordConfirmError) != (null);
        }
        if ((dirtyFlags & 0x200100L) != 0) {



                // read dateOfBirthFieldError != null
                dateOfBirthFieldErrorJavaLangObjectNull = (dateOfBirthFieldError) != (null);
        }
        if ((dirtyFlags & 0x300200L) != 0) {
        }
        if ((dirtyFlags & 0x200800L) != 0) {



                // read passwordError != null
                passwordErrorJavaLangObjectNull = (passwordError) != (null);
        }
        if ((dirtyFlags & 0x204000L) != 0) {



                if (personPicture != null) {
                    // read personPicture.personPictureUri
                    personPicturePersonPictureUri = personPicture.getPersonPictureUri();
                }
        }
        if ((dirtyFlags & 0x208000L) != 0) {



                if (approvalPersonParentJoin != null) {
                    // read approvalPersonParentJoin.ppjEmail
                    approvalPersonParentJoinPpjEmail = approvalPersonParentJoin.getPpjEmail();
                }
        }
        if ((dirtyFlags & 0x210000L) != 0) {
        }
        if ((dirtyFlags & 0x220000L) != 0) {



                // read usernameError != null
                usernameErrorJavaLangObjectNull = (usernameError) != (null);
        }
        if ((dirtyFlags & 0x3c0000L) != 0) {



                // read androidx.databinding.ViewDataBinding.safeUnbox(dateTimeMode)
                androidxDatabindingViewDataBindingSafeUnboxDateTimeMode = androidx.databinding.ViewDataBinding.safeUnbox(dateTimeMode);
        }
        if ((dirtyFlags & 0x3c0200L) != 0) {


            if ((dirtyFlags & 0x300000L) != 0) {

                    if (person != null) {
                        // read person.username
                        personUsername = person.getUsername();
                        // read person.newPassword
                        personNewPassword = person.getNewPassword();
                        // read person.firstNames
                        personFirstNames = person.getFirstNames();
                        // read person.confirmedPassword
                        personConfirmedPassword = person.getConfirmedPassword();
                        // read person.personAddress
                        personPersonAddress = person.getPersonAddress();
                        // read person.phoneNum
                        personPhoneNum = person.getPhoneNum();
                        // read person.emailAddr
                        personEmailAddr = person.getEmailAddr();
                        // read person.lastName
                        personLastName = person.getLastName();
                    }
            }
            if ((dirtyFlags & 0x300200L) != 0) {

                    if (person != null) {
                        // read person.gender
                        personGender = person.getGender();
                    }
            }
            if ((dirtyFlags & 0x3c0000L) != 0) {

                    if (person != null) {
                        // read person.dateOfBirth
                        personDateOfBirth = person.getDateOfBirth();
                    }
            }
        }
        // batch finished
        if ((dirtyFlags & 0x300000L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.addressText, personPersonAddress);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.confirmPasswordText, personConfirmedPassword);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.emailText, personEmailAddr);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.firstnamesText, personFirstNames);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.lastnameText, personLastName);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.passwordText, personNewPassword);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.phonenumberText, personPhoneNum);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.usernameText, personUsername);
        }
        if ((dirtyFlags & 0x200000L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setTextWatcher(this.addressText, (androidx.databinding.adapters.TextViewBindingAdapter.BeforeTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.OnTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.AfterTextChanged)null, addressTextandroidTextAttrChanged);
            com.ustadmobile.port.android.view.binding.DatePickerBindingAdapter2Kt.setDateTimeInMillisChanged(this.birthdayText, birthdayTextdateTimeInMillisAttrChanged);
            com.ustadmobile.port.android.view.binding.DatePickerBindingAdapter2Kt.setDateUseSpinners(this.birthdayText, true);
            com.ustadmobile.port.android.view.binding.EditTextBindingsKt.setRunOnClickWhenFocused(this.birthdayText, true);
            androidx.databinding.adapters.TextViewBindingAdapter.setTextWatcher(this.confirmPasswordText, (androidx.databinding.adapters.TextViewBindingAdapter.BeforeTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.OnTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.AfterTextChanged)null, confirmPasswordTextandroidTextAttrChanged);
            androidx.databinding.adapters.TextViewBindingAdapter.setTextWatcher(this.emailText, (androidx.databinding.adapters.TextViewBindingAdapter.BeforeTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.OnTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.AfterTextChanged)null, emailTextandroidTextAttrChanged);
            androidx.databinding.adapters.TextViewBindingAdapter.setTextWatcher(this.firstnamesText, (androidx.databinding.adapters.TextViewBindingAdapter.BeforeTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.OnTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.AfterTextChanged)null, firstnamesTextandroidTextAttrChanged);
            com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.setSelectedMessageIdListener(this.genderValue, genderValueselectedMessageIdOptionAttrChanged);
            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.getImageFilePath(this.itemPresenterFieldRowImageView, itemPresenterFieldRowImageViewimageUriAttrChanged);
            this.itemPresenterFieldRowPicturePhotoicon.setOnClickListener(mCallback126);
            androidx.databinding.adapters.TextViewBindingAdapter.setTextWatcher(this.lastnameText, (androidx.databinding.adapters.TextViewBindingAdapter.BeforeTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.OnTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.AfterTextChanged)null, lastnameTextandroidTextAttrChanged);
            androidx.databinding.adapters.TextViewBindingAdapter.setTextWatcher(this.parentcontactText, (androidx.databinding.adapters.TextViewBindingAdapter.BeforeTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.OnTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.AfterTextChanged)null, parentcontactTextandroidTextAttrChanged);
            androidx.databinding.adapters.TextViewBindingAdapter.setTextWatcher(this.passwordText, (androidx.databinding.adapters.TextViewBindingAdapter.BeforeTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.OnTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.AfterTextChanged)null, passwordTextandroidTextAttrChanged);
            androidx.databinding.adapters.TextViewBindingAdapter.setTextWatcher(this.phonenumberText, (androidx.databinding.adapters.TextViewBindingAdapter.BeforeTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.OnTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.AfterTextChanged)null, phonenumberTextandroidTextAttrChanged);
            androidx.databinding.adapters.TextViewBindingAdapter.setTextWatcher(this.usernameText, (androidx.databinding.adapters.TextViewBindingAdapter.BeforeTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.OnTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.AfterTextChanged)null, usernameTextandroidTextAttrChanged);
            // api target 3
            if(getBuildSdkInt() >= 3) {

                this.birthdayText.setInputType(android.text.InputType.TYPE_NULL);
            }
        }
        if ((dirtyFlags & 0x200008L) != 0) {
            // api target 1

            this.addressTextinputlayout.setVisibility(intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEMINORViewGONEViewVISIBLE);
            this.birthdayTextinputlayout.setVisibility(intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEENABLEDViewGONEViewVISIBLE);
            this.confirmPasswordTextinputlayout.setVisibility(intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEENABLEDViewVISIBLEViewGONE);
            this.emailTextinputlayout.setVisibility(intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEMINORViewGONEViewVISIBLE);
            this.parentContactTextInputLayout.setVisibility(intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEMINORViewVISIBLEViewGONE);
            this.passwordTextinputlayout.setVisibility(intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEENABLEDViewVISIBLEViewGONE);
            this.phonenumberTextinputlayout.setVisibility(intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEMINORViewGONEViewVISIBLE);
            this.usernameTextinputlayout.setVisibility(intExtKtHasFlagRegistrationModePersonEditViewREGISTERMODEENABLEDViewVISIBLEViewGONE);
        }
        if ((dirtyFlags & 0x210000L) != 0) {
            // api target 1

            this.addressTextinputlayout.setEnabled(fieldsEnabled);
            this.birthdayTextinputlayout.setEnabled(fieldsEnabled);
            this.confirmPasswordTextinputlayout.setEnabled(fieldsEnabled);
            this.emailTextinputlayout.setEnabled(fieldsEnabled);
            this.firstnamesTextinputlayout.setEnabled(fieldsEnabled);
            this.genderTextinputlayout.setEnabled(fieldsEnabled);
            this.lastnameTextInputLayout.setEnabled(fieldsEnabled);
            this.parentContactTextInputLayout.setEnabled(fieldsEnabled);
            this.passwordTextinputlayout.setEnabled(fieldsEnabled);
            this.phonenumberTextinputlayout.setEnabled(fieldsEnabled);
            this.usernameTextinputlayout.setEnabled(fieldsEnabled);
        }
        if ((dirtyFlags & 0x3c0000L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.DatePickerBindingAdapter2Kt.setDateTime2(this.birthdayText, personDateOfBirth, timeZoneId, androidxDatabindingViewDataBindingSafeUnboxDateTimeMode);
        }
        if ((dirtyFlags & 0x200100L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.TextInputLayoutBindingsKt.setErrorText(this.birthdayTextinputlayout, dateOfBirthFieldError);
            this.birthdayTextinputlayout.setErrorEnabled(dateOfBirthFieldErrorJavaLangObjectNull);
        }
        if ((dirtyFlags & 0x200080L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.TextInputLayoutBindingsKt.setErrorText(this.confirmPasswordTextinputlayout, passwordConfirmError);
            this.confirmPasswordTextinputlayout.setErrorEnabled(passwordConfirmErrorJavaLangObjectNull);
        }
        if ((dirtyFlags & 0x200004L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.TextInputLayoutBindingsKt.setErrorText(this.emailTextinputlayout, emailError);
            this.emailTextinputlayout.setErrorEnabled(emailErrorJavaLangObjectNull);
        }
        if ((dirtyFlags & 0x200010L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.TextInputLayoutBindingsKt.setErrorText(this.firstnamesTextinputlayout, firstNamesError);
            this.firstnamesTextinputlayout.setErrorEnabled(firstNamesErrorJavaLangObjectNull);
        }
        if ((dirtyFlags & 0x200001L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.TextInputLayoutBindingsKt.setErrorText(this.genderTextinputlayout, genderFieldError);
            this.genderTextinputlayout.setErrorEnabled(genderFieldErrorJavaLangObjectNull);
        }
        if ((dirtyFlags & 0x300200L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.setMessageIdOptions(this.genderValue, genderOptions, personGender);
        }
        if ((dirtyFlags & 0x200002L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageViewLifecycleObserver(this.itemPresenterFieldRowImageView, imageViewLifecycleObserver);
        }
        if ((dirtyFlags & 0x204000L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageFilePath(this.itemPresenterFieldRowImageView, personPicturePersonPictureUri, (android.graphics.drawable.Drawable)null);
        }
        if ((dirtyFlags & 0x200040L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.TextInputLayoutBindingsKt.setErrorText(this.lastnameTextInputLayout, lastNameError);
            this.lastnameTextInputLayout.setErrorEnabled(lastNameErrorJavaLangObjectNull);
        }
        if ((dirtyFlags & 0x200020L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.TextInputLayoutBindingsKt.setErrorText(this.parentContactTextInputLayout, parentContactError);
            this.parentContactTextInputLayout.setErrorEnabled(parentContactErrorJavaLangObjectNull);
        }
        if ((dirtyFlags & 0x208000L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.parentcontactText, approvalPersonParentJoinPpjEmail);
        }
        if ((dirtyFlags & 0x200800L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.TextInputLayoutBindingsKt.setErrorText(this.passwordTextinputlayout, passwordError);
            this.passwordTextinputlayout.setErrorEnabled(passwordErrorJavaLangObjectNull);
        }
        if ((dirtyFlags & 0x220000L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.TextInputLayoutBindingsKt.setErrorText(this.usernameTextinputlayout, usernameError);
            this.usernameTextinputlayout.setErrorEnabled(usernameErrorJavaLangObjectNull);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        // localize variables for thread safety


        if ((itemPresenterFieldRowImageView) != (null)) {


            itemPresenterFieldRowImageView.callOnClick();
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): genderFieldError
        flag 1 (0x2L): imageViewLifecycleObserver
        flag 2 (0x3L): emailError
        flag 3 (0x4L): registrationMode
        flag 4 (0x5L): firstNamesError
        flag 5 (0x6L): parentContactError
        flag 6 (0x7L): lastNameError
        flag 7 (0x8L): passwordConfirmError
        flag 8 (0x9L): dateOfBirthFieldError
        flag 9 (0xaL): genderOptions
        flag 10 (0xbL): loading
        flag 11 (0xcL): passwordError
        flag 12 (0xdL): hideClazzes
        flag 13 (0xeL): activityEventHandler
        flag 14 (0xfL): personPicture
        flag 15 (0x10L): approvalPersonParentJoin
        flag 16 (0x11L): fieldsEnabled
        flag 17 (0x12L): usernameError
        flag 18 (0x13L): dateTimeMode
        flag 19 (0x14L): timeZoneId
        flag 20 (0x15L): person
        flag 21 (0x16L): null
        flag 22 (0x17L): IntExtKt.hasFlag(registrationMode, PersonEditView.REGISTER_MODE_ENABLED) ? View.VISIBLE : View.GONE
        flag 23 (0x18L): IntExtKt.hasFlag(registrationMode, PersonEditView.REGISTER_MODE_ENABLED) ? View.VISIBLE : View.GONE
        flag 24 (0x19L): IntExtKt.hasFlag(registrationMode, PersonEditView.REGISTER_MODE_MINOR) ? View.GONE : View.VISIBLE
        flag 25 (0x1aL): IntExtKt.hasFlag(registrationMode, PersonEditView.REGISTER_MODE_MINOR) ? View.GONE : View.VISIBLE
        flag 26 (0x1bL): IntExtKt.hasFlag(registrationMode, PersonEditView.REGISTER_MODE_ENABLED) ? View.GONE : View.VISIBLE
        flag 27 (0x1cL): IntExtKt.hasFlag(registrationMode, PersonEditView.REGISTER_MODE_ENABLED) ? View.GONE : View.VISIBLE
        flag 28 (0x1dL): IntExtKt.hasFlag(registrationMode, PersonEditView.REGISTER_MODE_MINOR) ? View.VISIBLE : View.GONE
        flag 29 (0x1eL): IntExtKt.hasFlag(registrationMode, PersonEditView.REGISTER_MODE_MINOR) ? View.VISIBLE : View.GONE
    flag mapping end*/
    //end
}